unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, NxGridView6, NxColumns6, NxControls6,
  NxCustomGrid6, NxVirtualGrid6, NxGrid6, NxHTML6;

type
  TForm1 = class(TForm)
    NextGrid61: TNextGrid6;
    NxReportGridView61: TNxReportGridView6;
    NxCheckBoxColumn61: TNxCheckBoxColumn6;
    colTitle: TNxTextColumn6;
    colRating: TNxNumberColumn6;
    colDescription: TNxHTMLColumn6;
    NxProgressColumn61: TNxProgressColumn6;
    NxStylesSheet61: TNxStylesSheet6;
    NxTextColumn61: TNxTextColumn6;
    procedure FormCreate(Sender: TObject);
    procedure NxProgressColumn61GetValue(Sender: TObject; ACol, ARow: Integer;
      var Value: Double);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  NextGrid61.AddCells([
    'The Shawshank Redemption', '<span class="interesting">Two imprisoned men</span> bond over a <span class="important">number of years</span>, finding solace and eventual redemption through acts of common decency.', '9.3',
    'The Godfather', 'The aging patriarch of an organized crime <b>dynasty</b> transfers control of his clandestine empire to his reluctant son.', '9.2',
    'Casablanca', 'A cynical American expatriate struggles to decide whether or not he should help his former lover and her fugitive husband escape French Morocco.', '8.5'

    ],
    [colTitle.Index, colDescription.Index, colRating.Index]);
end;

procedure TForm1.NxProgressColumn61GetValue(Sender: TObject; ACol,
  ARow: Integer; var Value: Double);
begin
  Value := NextGrid61.Cell[colRating.Index, ARow].AsFloat;
end;

end.
